# $Revision: 1.25 $, $Date: 2004/12/01 12:19:29 $
# Conditional build:
%bcond_with	apache1		# build with apache1
%bcond_with 	tests		# perform "make test" (require to start apache)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	VMonitor
Summary:	Apache::VMonitor - visual system and Apache server monitor
Summary(pl):	Apache::VMonitor - wizualny monitor serwera Apache i systemu
Name:		perl-Apache-VMonitor
Version:	2.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	431e474afc1b212ad1fdc34bed0a22dd
Source1:	%{name}.conf
BuildRequires:	apache-mod_perl >= 1.15
%if %{with tests}
BuildRequires:	perl-Apache-Scoreboard
BuildRequires:	perl-Template-Toolkit
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	apache-mod_perl >= 1.15
Requires:	perl-Apache-Scoreboard >= 0.08
Requires:	perl-GTop >= 0.09
Requires:	perl-Template-Toolkit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module emulates the reporting functionalities of top(1), extended
for mod_perl processes, mount(1), and df(1) utilities. It has a visual
alerting capabilities and configurable automatic refresh mode. All the
sections can be shown/hidden dynamically through the web interface.

%description -l pl
Ten modu emuluje funkcjolano raportowania oferowan przez top(1),
rozszerzon dla procesw mod_perla, oraz narzdzi mount(1) i df(1).
Ma opcje wizualnego ostrzegania i konfigurowalny tryb automatycznego
odwieania. Wszystkie sekcje mog by ukrywane/pokazywane dynamicznie
przez interfejs WWW.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	MOD_PERL=%{?with_apache1:1}%{!?with_apache1:2}
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/httpd.conf/80_Apache_VMonitor.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%{_sysconfdir}/httpd/httpd.conf/*.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-VMonitor.spec,v $
Revision 1.25  2004/12/01 12:19:29  radek
- autoupdated to 2.01

Revision 1.24  2004/11/03 19:42:57  paladine
- formatting

Revision 1.23  2004/08/11 06:04:21  ankry
- tests disabled, rel. 7

Revision 1.22  2004/08/11 05:59:53  ankry
- tests + BRs, rel. 6

Revision 1.21  2004/08/08 20:45:09  adamg
- release 5

Revision 1.20  2004/06/02 08:19:46  ankry
- removed unnecessary R/BR, rel.++

Revision 1.19  2004/05/29 21:42:05  radek
- release 3: added sample config file

Revision 1.18  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.17  2004/05/06 18:43:02  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.15  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.14  2004/04/11 19:44:31  adamg
- BuildRequires: apache-mod_perl

Revision 1.13  2004/04/11 19:30:23  adamg
- added bcond_with apache1

Revision 1.12  2004/04/11 19:22:39  adamg
- pass MOD_PERL

Revision 1.11  2004/04/11 04:56:10  agaran
 - update to 2.0

Revision 1.10  2003/09/29 12:45:37  migo
- perl 5.8 ready
- release 4

Revision 1.9  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.8  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.5  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/13 00:00:44  ankry
- merge from RA-branch: updated to 0.8

Revision 1.3  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:25:56  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/09/01 09:00:42  radek
- new, STBR
